<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cxf="http://cxf.apache.org/core"
       xmlns:http="http://cxf.apache.org/transports/http/configuration"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
       http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
       http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd">

	<!-- CXF bus with logging. Please set the log level of org.apache.cxf.interceptor to FATAL to hide the logging of EVERY incoming and outgoing messages. -->
	<cxf:bus>
		<cxf:outInterceptors>
			<ref bean="outCxfLoggingInterceptor"/>
		</cxf:outInterceptors>
		<cxf:inInterceptors>
			<ref bean="inCxfLoggingInterceptor"/>
		</cxf:inInterceptors>
	</cxf:bus>

	<bean id="outCxfLoggingInterceptor" class="org.apache.cxf.interceptor.LoggingOutInterceptor"/>
	<bean id="inCxfLoggingInterceptor" class="org.apache.cxf.interceptor.LoggingInInterceptor"/>

	<http:conduit name="*.http-conduit">
		<http:client AllowChunking="true" Connection="Keep-Alive"/>
	</http:conduit>
</beans>
